"Error loading filename.mp4" after I did an update

Nextcloud version: 24.0.04_15.2.44 (installed from Truecharts)
Operating system and version: TrueNAS Scale 22.02.3
Apache or nginx version: not sure how to find this
PHP version: 8.0.22

Database
Type: pgsql
Version: PostgreSQL 14.5

The issue you are facing:
I updated from 24.0.4_15.2.39 to 24.0.4_15.2.44. After it updated, I restarted my server like I normally do. Now all of the files that were in the server seem to be corrupted, as anytime I try to click on one it says, “Error loading filename.mp4”. Also, I and everyone else using the nextcloud server are currently able to add and view new files, it’s just the files that were on the server prior to the update that are messed up and not viewable.

I am also getting this error in the security and setup warnings tab: “Some files have not passed the integrity check.”

Is this the first time you’ve seen this error? (Y/N): Y

Steps to replicate it:

  1. Upgrade from 24.0.4_15.2.39 to 24.0.4_15.2.39
  2. Restart TrueNAS system
  3. Try to access a mp4 file stored on nextcloud

The output of your Nextcloud log in Admin > Logging:

This is just some of the log from admin>logging:

{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::maintenanceEnabled: Turned on maintenance mode","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":0,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"core","method":"","url":"--","message":"starting upgrade from 24.0.3.2 to 24.0.4.1","userAgent":"--","version":"24.0.3.2","data":{"app":"core"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::step: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::step: Repair step: Repair MySQL collation","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::info: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::info: Repair info: Not a mysql database -> nothing to do","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::step: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::step: Repair step: Repair SQLite autoincrement","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::step: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:07+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::step: Repair step: Copy data from accounts table when migrating from ownCloud","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::step: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::step: Repair step: Drop account terms table when migrating from ownCloud","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::dbUpgradeBefore: Updating database schema","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::dbUpgrade: Updated database","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::appUpgradeStarted: Updating <circles> ...","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"no app in context","method":"","url":"--","message":"Deprecated event type for \\OC\\Repair::step: Symfony\\Component\\EventDispatcher\\GenericEvent is used","userAgent":"--","version":"24.0.3.2","data":[]}
{"reqId":"gbdE3vDiI7TyL6GU70gB","level":1,"time":"2022-08-15T04:20:09+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Repair::step: Repair step: Upgrading Circles App","userAgent":"--","version":"24.0.3.2","data":{"app":"updater"}}

Here is a screenshot of the error messages I am getting (might have to open picture in new tab):